#include <Bits/stdc++.h>

using namespace std;

int x[100000];
int y[100000];

int main ()
{
	int n;
	cin >> n;
	for(int i=0;i<n;i++)
	{
		cin >> x[i] >> y[i];
	}
	sort(x, x+n);
	sort(y, y+n);
	int s=0;
	for(int i=0;i<n;i++)
	{
		s+=abs(x[i]-i-1);
		s+=abs(y[i]-i-1);	
	}
	cout << s << endl;
}